> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Account

Update an existing Banking Connectivity account. Only include the fields you want to change.


## OpenAPI

````yaml openapi/banking-connectivity/accounts/update-account-banking.json PATCH /banking/accounts/{account_id}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Banking Connectivity
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - public-api-key: []
    private-secret-key: []
paths:
  /banking/accounts/{account_id}:
    patch:
      tags:
        - Accounts (Banking Connectivity)
      summary: Update Account (Banking Connectivity)
      operationId: patch_v1-banking-connectivity-accounts-account-id
      parameters:
        - in: path
          name: account_id
          schema:
            type: string
          required: true
          description: >-
            The unique identifier of the account. Found on the [Yuno
            dashboard](https://dashboard.y.uno/) (UUID, 36 chars).
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - account_id
              properties:
                account_id:
                  type: string
                  description: >-
                    The unique identifier of the merchant's Yuno account (UUID,
                    36 characters).
                  example: 550e8400-e29b-41d4-a716-446655440000
                account_type:
                  type: string
                  description: The updated account type.
                  enum:
                    - CHECKING
                    - SAVINGS
                    - INVESTMENT
                  example: CHECKING
            examples:
              Update Account:
                summary: Update Account
                value:
                  account_id: 550e8400-e29b-41d4-a716-446655440000
                  account_type: CHECKING
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: >-
                      The unique identifier of the Banking Connectivity account
                      (prefixed `acct_`).
                    example: acct_aa0e8400-e29b-41d4-a716-446655440000
                  entity_id:
                    type: string
                    description: The `id` of the entity associated with this account.
                    example: ent_660e8400-e29b-41d4-a716-446655440000
                  onboarding_id:
                    type: string
                    description: The `id` of the onboarding used to create this account.
                    example: onb_990e8400-e29b-41d4-a716-446655440000
                  account_id:
                    type: string
                    description: The merchant's Yuno account identifier.
                    example: 550e8400-e29b-41d4-a716-446655440000
                  provider:
                    type: object
                    properties:
                      account_id:
                        type: string
                        example: col_bank_account_789
                  account_type:
                    type: string
                    enum:
                      - CHECKING
                      - SAVINGS
                      - INVESTMENT
                    example: CHECKING
                  status:
                    type: string
                    enum:
                      - ACTIVE
                      - PENDING
                      - INACTIVE
                    example: ACTIVE
                  account_number:
                    type: string
                    example: '1234567890'
                  routing_number:
                    type: string
                    nullable: true
                    example: '123456789'
                  iban:
                    type: string
                    nullable: true
                    example: null
                  currency:
                    type: string
                    example: USD
                  balance:
                    type: object
                    properties:
                      available:
                        type: number
                        example: 5000
                      current:
                        type: number
                        example: 5000
                      pending:
                        type: number
                        example: 0
                  account_details:
                    type: object
                    properties:
                      account_name:
                        type: string
                        example: John Doe - Primary Checking
                      sort_code:
                        type: string
                        nullable: true
                        example: null
                      bsb:
                        type: string
                        nullable: true
                        example: null
                      swift:
                        type: string
                        nullable: true
                        example: null
                  payment_rails:
                    type: object
                    properties:
                      incoming:
                        type: array
                        items:
                          type: string
                        example:
                          - ACH
                          - WIRE
                      outgoing:
                        type: array
                        items:
                          type: string
                        example:
                          - ACH
                          - WIRE
                  supports_book_transfers:
                    type: boolean
                    example: true
                  created_at:
                    type: string
                    example: '2026-02-01T10:10:00Z'
                  updated_at:
                    type: string
                    example: '2026-02-01T12:00:00Z'
              examples:
                OK (Updated Account):
                  summary: OK (Updated Account)
                  value:
                    id: acct_aa0e8400-e29b-41d4-a716-446655440000
                    entity_id: ent_660e8400-e29b-41d4-a716-446655440000
                    onboarding_id: onb_990e8400-e29b-41d4-a716-446655440000
                    account_id: 550e8400-e29b-41d4-a716-446655440000
                    provider:
                      account_id: col_bank_account_789
                    account_type: CHECKING
                    status: ACTIVE
                    account_number: '1234567890'
                    routing_number: '123456789'
                    iban: null
                    currency: USD
                    balance:
                      available: 5000
                      current: 5000
                      pending: 0
                    account_details:
                      account_name: John Doe - Primary Checking
                      sort_code: null
                      bsb: null
                      swift: null
                    payment_rails:
                      incoming:
                        - ACH
                        - WIRE
                      outgoing:
                        - ACH
                        - WIRE
                    supports_book_transfers: true
                    created_at: '2026-02-01T10:10:00Z'
                    updated_at: '2026-02-01T12:00:00Z'
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: VALIDATION_ERROR
                  messages:
                    type: array
                    items:
                      type: string
                      example: Request validation failed
                  http_code:
                    type: integer
                    example: 400
                    default: 0
              examples:
                Bad Request:
                  summary: Bad Request
                  value:
                    code: VALIDATION_ERROR
                    messages:
                      - Request validation failed
                    http_code: 400
          description: Bad Request
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: ACCOUNT_NOT_FOUND
                  messages:
                    type: array
                    items:
                      type: string
                      example: Account not found
                  http_code:
                    type: integer
                    example: 404
                    default: 0
              examples:
                Not Found:
                  summary: Not Found
                  value:
                    code: ACCOUNT_NOT_FOUND
                    messages:
                      - Account not found
                    http_code: 404
          description: Not Found
components:
  securitySchemes:
    public-api-key:
      type: apiKey
      in: header
      name: public-api-key
    private-secret-key:
      type: apiKey
      in: header
      name: private-secret-key

````